Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionSSO.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSO.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionSSOOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ClientConnectionSSO`

public static final class ClientWireProtocol.ClientConnectionSSO.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder> implements ClientWireProtocol.ClientConnectionSSOOrBuilder
Protobuf type `xg.cmdcomp.ClientConnectionSSO`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ClientConnectionSSO`
`build()`
`ClientWireProtocol.ClientConnectionSSO`
`buildPartial()`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clear()`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearClientid()`
`string clientid = 2;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearDatabase()`
`string database = 1;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearMajorClientVersion()`
`int32 majorClientVersion = 4;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearMinorClientVersion()`
`int32 minorClientVersion = 5;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearPatchClientVersion()`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearSessionID()`
`string sessionID = 6;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`clearVersion()`
`string version = 3;`
`String`
`getClientid()`
`string clientid = 2;`
`com.google.protobuf.ByteString`
`getClientidBytes()`
`string clientid = 2;`
`String`
`getDatabase()`
`string database = 1;`
`com.google.protobuf.ByteString`
`getDatabaseBytes()`
`string database = 1;`
`ClientWireProtocol.ClientConnectionSSO`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`int`
`getMajorClientVersion()`
`int32 majorClientVersion = 4;`
`int`
`getMinorClientVersion()`
`int32 minorClientVersion = 5;`
`String`
`getPatchClientVersion()`
note the out of order field numbering
`com.google.protobuf.ByteString`
`getPatchClientVersionBytes()`
note the out of order field numbering
`String`
`getSessionID()`
`string sessionID = 6;`
`com.google.protobuf.ByteString`
`getSessionIDBytes()`
`string sessionID = 6;`
`String`
`getVersion()`
`string version = 3;`
`com.google.protobuf.ByteString`
`getVersionBytes()`
`string version = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`mergeFrom(ClientWireProtocol.ClientConnectionSSO other)`
`final ClientWireProtocol.ClientConnectionSSO.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setClientid(String value)`
`string clientid = 2;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setClientidBytes(com.google.protobuf.ByteString value)`
`string clientid = 2;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setDatabase(String value)`
`string database = 1;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setDatabaseBytes(com.google.protobuf.ByteString value)`
`string database = 1;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setMajorClientVersion(int value)`
`int32 majorClientVersion = 4;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setMinorClientVersion(int value)`
`int32 minorClientVersion = 5;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setPatchClientVersion(String value)`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setPatchClientVersionBytes(com.google.protobuf.ByteString value)`
note the out of order field numbering
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setSessionID(String value)`
`string sessionID = 6;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setSessionIDBytes(com.google.protobuf.ByteString value)`
`string sessionID = 6;`
`final ClientWireProtocol.ClientConnectionSSO.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setVersion(String value)`
`string version = 3;`
`ClientWireProtocol.ClientConnectionSSO.Builder`
`setVersionBytes(com.google.protobuf.ByteString value)`
`string version = 3;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### clear

public ClientWireProtocol.ClientConnectionSSO.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionSSO getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnectionSSO build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnectionSSO buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSO.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSO.Builder mergeFrom(ClientWireProtocol.ClientConnectionSSO other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionSSO.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`
Throws:
  `IOException`

### getDatabase

public String getDatabase()
`string database = 1;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 1;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The bytes for database.

### setDatabase

public ClientWireProtocol.ClientConnectionSSO.Builder setDatabase(String value)
`string database = 1;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

### clearDatabase

public ClientWireProtocol.ClientConnectionSSO.Builder clearDatabase()
`string database = 1;`

Returns:
  This builder for chaining.

### setDatabaseBytes

public ClientWireProtocol.ClientConnectionSSO.Builder setDatabaseBytes(com.google.protobuf.ByteString value)
`string database = 1;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

### getClientid

public String getClientid()
`string clientid = 2;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The clientid.

### getClientidBytes

public com.google.protobuf.ByteString getClientidBytes()
`string clientid = 2;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The bytes for clientid.

### setClientid

public ClientWireProtocol.ClientConnectionSSO.Builder setClientid(String value)
`string clientid = 2;`

Parameters:
  `value` - The clientid to set.
Returns:
  This builder for chaining.

### clearClientid

public ClientWireProtocol.ClientConnectionSSO.Builder clearClientid()
`string clientid = 2;`

Returns:
  This builder for chaining.

### setClientidBytes

public ClientWireProtocol.ClientConnectionSSO.Builder setClientidBytes(com.google.protobuf.ByteString value)
`string clientid = 2;`

Parameters:
  `value` - The bytes for clientid to set.
Returns:
  This builder for chaining.

### getVersion

public String getVersion()
`string version = 3;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The version.

### getVersionBytes

public com.google.protobuf.ByteString getVersionBytes()
`string version = 3;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The bytes for version.

### setVersion

public ClientWireProtocol.ClientConnectionSSO.Builder setVersion(String value)
`string version = 3;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

### clearVersion

public ClientWireProtocol.ClientConnectionSSO.Builder clearVersion()
`string version = 3;`

Returns:
  This builder for chaining.

### setVersionBytes

public ClientWireProtocol.ClientConnectionSSO.Builder setVersionBytes(com.google.protobuf.ByteString value)
`string version = 3;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

### getMajorClientVersion

public int getMajorClientVersion()
`int32 majorClientVersion = 4;`

Specified by:
  `getMajorClientVersion` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The majorClientVersion.

### setMajorClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder setMajorClientVersion(int value)
`int32 majorClientVersion = 4;`

Parameters:
  `value` - The majorClientVersion to set.
Returns:
  This builder for chaining.

### clearMajorClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder clearMajorClientVersion()
`int32 majorClientVersion = 4;`

Returns:
  This builder for chaining.

### getMinorClientVersion

public int getMinorClientVersion()
`int32 minorClientVersion = 5;`

Specified by:
  `getMinorClientVersion` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The minorClientVersion.

### setMinorClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder setMinorClientVersion(int value)
`int32 minorClientVersion = 5;`

Parameters:
  `value` - The minorClientVersion to set.
Returns:
  This builder for chaining.

### clearMinorClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder clearMinorClientVersion()
`int32 minorClientVersion = 5;`

Returns:
  This builder for chaining.

### getPatchClientVersion

public String getPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 7;`

Specified by:
  `getPatchClientVersion` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The patchClientVersion.

### getPatchClientVersionBytes

public com.google.protobuf.ByteString getPatchClientVersionBytes()

     note the out of order field numbering

`string patchClientVersion = 7;`

Specified by:
  `getPatchClientVersionBytes` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The bytes for patchClientVersion.

### setPatchClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder setPatchClientVersion(String value)

     note the out of order field numbering

`string patchClientVersion = 7;`

Parameters:
  `value` - The patchClientVersion to set.
Returns:
  This builder for chaining.

### clearPatchClientVersion

public ClientWireProtocol.ClientConnectionSSO.Builder clearPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 7;`

Returns:
  This builder for chaining.

### setPatchClientVersionBytes

public ClientWireProtocol.ClientConnectionSSO.Builder setPatchClientVersionBytes(com.google.protobuf.ByteString value)

     note the out of order field numbering

`string patchClientVersion = 7;`

Parameters:
  `value` - The bytes for patchClientVersion to set.
Returns:
  This builder for chaining.

### getSessionID

public String getSessionID()
`string sessionID = 6;`

Specified by:
  `getSessionID` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The sessionID.

### getSessionIDBytes

public com.google.protobuf.ByteString getSessionIDBytes()
`string sessionID = 6;`

Specified by:
  `getSessionIDBytes` in interface `ClientWireProtocol.ClientConnectionSSOOrBuilder`
Returns:
  The bytes for sessionID.

### setSessionID

public ClientWireProtocol.ClientConnectionSSO.Builder setSessionID(String value)
`string sessionID = 6;`

Parameters:
  `value` - The sessionID to set.
Returns:
  This builder for chaining.

### clearSessionID

public ClientWireProtocol.ClientConnectionSSO.Builder clearSessionID()
`string sessionID = 6;`

Returns:
  This builder for chaining.

### setSessionIDBytes

public ClientWireProtocol.ClientConnectionSSO.Builder setSessionIDBytes(com.google.protobuf.ByteString value)
`string sessionID = 6;`

Parameters:
  `value` - The bytes for sessionID to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ClientConnectionSSO.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ClientConnectionSSO.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionSSO.Builder>`